Package org.eclipse.birt.report.engine.api

# Interface ITaskOption

All Known Subinterfaces:
  `IDataExtractionOption`, `IExcelRenderOption`, `IExtractionOption`, `IHTMLRenderOption`, `IPDFRenderOption`, `IPostscriptRenderOption`, `IPPTRenderOption`, `IRenderOption`

All Known Implementing Classes:
  `DataExtractionOption`, `DocxRenderOption`, `EXCELRenderOption`, `HTMLEmitterConfig`, `HTMLRenderOption`, `PDFRenderOption`, `RenderOption`, `RenderOptionBase`, `TaskOption`

public interface ITaskOption
Define the interface of task options

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`Object`
`getOption(String name)`
get the option value defined by the name.
`Map<String,Object>`
`getOptions()`
Get all the options defined in this object
`boolean`
`hasOption(String name)`
if there exits an option named by name.
`void`
`setOption(String name, Object value)`
set the option value.

## Method Details

### getOptions

Map<String,Object> getOptions()
Get all the options defined in this object

Returns:
  Return the task options

### setOption

void setOption(String name, Object value)
set the option value.

Parameters:
  `name` - option name.
  `value` - value

### getOption

Object getOption(String name)
get the option value defined by the name.

Parameters:
  `name` - option name.
Returns:
  value, null if not defined

### hasOption

boolean hasOption(String name)
if there exits an option named by name.

Parameters:
  `name` - option name.
Returns:
  true if user has defined an option with this name, even if the value is NULL. false otherwise.